Bug 290787 - KMail shown "Unknown" date when Date field exist
Summary: KMail shown "Unknown" date when Date field exist
Status: REOPENED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.11.3
Platform: Unlisted Binaries Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-06 11:23 UTC by Sergey Y. Afonin
Modified: 2019-11-08 10:11 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot with Date Unknown (62.98 KB, image/png)
2012-01-23 07:11 UTC, Sergey Y. Afonin
Details
Email source that displays with Unknown date (3.40 KB, text/plain)
2016-04-13 17:32 UTC, krystalcode
Details
Bad date with long day (4.18 KB, application/mbox)
2018-01-02 18:08 UTC, bib
Details
Bad date with long month (1.21 KB, application/mbox)
2018-01-02 18:09 UTC, bib
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Y. Afonin 2012-01-06 11:23:33 UTC
Version:           1.99.0 (using KDE 4.7.4) 
OS:                Linux

I have a mail that shows the date as unknown in the message list, but Date field exist in message. It looks like a bug 282513 by description, but the difference in the presence of Date. This happens if folder contain some messages without Date.



Reproducible: Didn't try




OS: Linux (i686) release 2.6.32-ovz-el-alt34
Compiler: gcc
Comment 1 Laurent Montel 2012-01-12 06:41:01 UTC
Could you send me in private this email ?
Thanks.
Comment 2 Laurent Montel 2012-01-14 10:15:06 UTC
No news ?
Comment 3 Sergey Y. Afonin 2012-01-23 06:27:58 UTC
I think the problem is not the E-Mail. The problem is the presence of other E-Mail, which contain the wrong field Date. If them removed all shows normally.
Perhaps the memory of some the dynamic variable is not released...
Comment 4 Sergey Y. Afonin 2012-01-23 07:11:00 UTC
Created attachment 68106 [details]
screenshot with Date Unknown

Message in red ellipse is good. And message is chosen randomly when KMail restarted.
Comment 5 Laurent Montel 2012-01-23 09:44:46 UTC
I need info from this date format.
For me it's a pb in date format.
Comment 6 Sergey Y. Afonin 2012-01-23 11:16:24 UTC
(In reply to comment #5)
> I need info from this date format.

Received: by 10.100.227.4 with HTTP; Mon, 28 Nov 2011 05:13:44 -0800 (PST)
Date: Mon, 28 Nov 2011 16:13:44 +0300
Message-ID: <CADUCCVqro0MMnQnROG5psMJoG750mih-BPe_eCnus0Jeqkt=HQ@mail.gmail.com>

> For me it's a pb in date format.

Why is it happens with random messages ? This E-Mail (with date 28 Nov 2011 16:13:44) shown properly now. And problem with message with "Date: Fri, 11 May 2007 10:34:30 +0500". I can send my collection with the wrong Data, can be  some one influenced to the right message. Seems, each time only one good message shown wrong.
Comment 7 Laurent Montel 2012-01-23 12:36:31 UTC
"Fri, 11 May 2007 10:34:30 +0500" I think that parsing is not ok in kdatetime.
Send emails in private please
Comment 8 Laurent Montel 2012-01-23 16:29:05 UTC
I imported your email in my kmail and I can see date correctly.
Don't understand why you can't see it.
Will investigate but it's a valid date
Comment 9 Sergey Y. Afonin 2012-01-23 16:50:20 UTC
(In reply to comment #8)

> Will investigate but it's a valid date

YES !! It's a message with valid date ! :-) I'm not very good writing in English. Maybe I'm writing something wrong ? :-(

The problem occurs when _other_ messages with the wrong date contains in folder. Sometimes a random message(s) with the correct date appears in a sorted list of messages in the group of messages with realy "Date Unknown". The problem does not occur if all the messages with the wrong date removed.
Comment 10 Laurent Montel 2012-01-23 16:58:55 UTC
I need an email with unknown date ! :)
Comment 11 stefanfrank 2012-12-30 10:36:07 UTC
Hi all,
I also have that problem since years in kmail.
Maybe the problem is the different date format in the mail header.

For example (a mail with unknown date):
Received: from mxb.campact.de ([46.16.74.135]) by mx-ha.gmx.net (mxgmx009)
 with ESMTP (Nemesis) id 0Lj5w6-1TCLfT1Z8Q-00dJe8 for <xxxxxx@gmx.net>;
 Thu, 27 Dec 2012 10:42:57 +0100

An example with shows the correct date:
Received: from newsletter.avm.de (EHLO newsletter.avm.de) [212.42.244.67]
  by mx0.gmx.net (mx052) with SMTP; 03 Jan 2007 02:12:33 +0100

I did not find the reason for this bug. But if you need more mail examples, let me know!!


actual configuration:
Fedora 17, KDE 4.9.4
Comment 12 krystalcode 2016-04-13 17:31:14 UTC
Hello,

I have the same problem where some emails show with an Unknown date, while they have one. In addition, probably related, some emails show with a wrong date. In both cases, the emails display properly in the hosting providers web UI.

I am attaching a full email that I received from Ubuntu One a couple of years ago. It is displayed as Unknown.

Fedora 23
KDE Platform Version 4.14.18
Kmail Version 4.14.10
Comment 13 krystalcode 2016-04-13 17:32:49 UTC
Created attachment 98382 [details]
Email source that displays with Unknown date
Comment 14 krystalcode 2016-04-13 17:37:13 UTC
I think this should be reopened?
Comment 15 Mike Goodwin 2016-04-18 20:38:11 UTC
Absolutely, I specifically noticed this when sorting my email by "Date/Time of Most Recent in Subtree" because i've been dealing with mailing lists lately. Once I did that all the "Unknowns" came right to the top where I didn't want them to be.
Comment 16 Mike Goodwin 2016-04-18 20:39:45 UTC
Sorry, I always forget that there's no edit here like github. I wanted to include:

Fedora 23:

# rpm -qa | grep "kmail\|akonadi"
kmail-libs-4.14.10-10.fc23.x86_64
baloo-akonadi-4.14.3-5.fc23.x86_64
akonadi-mysql-1.13.0-20.fc23.x86_64
akonadi-1.13.0-20.fc23.x86_64
kdepimlibs-akonadi-4.14.10-8.fc23.x86_64
kmail-4.14.10-10.fc23.x86_64
Comment 17 ludo444 2017-06-07 04:11:05 UTC
This is still present in version shipped with KDE neon 16.04.
Comment 18 bib 2017-12-11 11:44:36 UTC
I still have problems.

To me it only recognises short day or month fields. If they are Tue, Mar etc, it's okay, but if they are Tuesday or March, then the parsing fails.
Comment 19 Christoph Feck 2018-01-02 16:55:29 UTC
Mail from comment #13 has no Date: field, and as such is not a valid mail according to the RFC.

What we need is a mail that has a valid Date: field, but shows up as 'Unknown'.
Comment 20 bib 2018-01-02 18:08:33 UTC
Created attachment 109629 [details]
Bad date with long day

Here is one email which fails with unknown date.
Comment 21 bib 2018-01-02 18:09:02 UTC
Created attachment 109630 [details]
Bad date with long month

And another unknown date...
Comment 22 Allen Winter 2018-01-13 17:28:17 UTC
Laurent, for your convenience, I extracted the Date: header from the sample emails:

Date: Tue, 29 July 2014 08:01:34 -0700
Date: Wednesday, 13 Dec 2017 04:14:07 +00:00
Comment 23 Marc Cousin 2019-01-12 08:45:32 UTC
Got the problem with dates formated like this:

Mon, 17 Dec 2018 09:25:35 +00
Wed, 12 Dec 2018 16:17:25 +00

Regards
Comment 24 bib 2019-10-25 09:52:28 UTC
This is starting to become the "longest bug". 7 years and counting.

It still happens with 5.10.3.
Comment 25 kavol 2019-11-08 10:11:10 UTC
(In reply to bib from comment #24)
> This is starting to become the "longest bug". 7 years and counting.
> 
> It still happens with 5.10.3.

I started hitting this too :-(

kmail 5.11.3

unknown dates in emails look like this:

Date: Thu, 07 Nov 2019 17:04:17, -0500


note that this is probably duplicate of bug 288943 but that one looks more dead than this, so commenting here ...

also bug 319906 might be duplicate